Subject: Re: bug#50563: [PATCH [0/2] gnu: GDM: Add Wayland support

From: Josselin Poiret <[email-masked]>
Date: Wed, 29 Sep 2021 22:10:10 +0000

On Wednesday, September 29th, 2021 at 12:10 PM, Mathieu Othacehe <[email-masked]> wrote:

> > Anything wrong with my integration?
> I notied that mutter was complaining that the /tmp/.X11-unix file was
> missing the sticky bit when launching the xorg-xwayland binary.
> The following patch fixes it for me:
> [snip]
> What do you think about it?
Nice find, looks like this is the perfect fix (maybe this check was introduced in a new `gnome-shell` version).
Thanks for your review and testing!
I tried messing around and everything looked like it was working as it should, with GNOME Settings reporting it was running under Wayland.

As for the ChangeLog style, I'm sorry about it. If I'm reading correctly, I missed adding which files and symbols were changed, am I right?